#pragma once

#include "ActorInterface.h"
#include "WASCommand.h"
#include "WASActor.h"

class CWASChangeNotice : public CWASCommand
{
public:
	CWASChangeNotice(CWASActor *pActor);
	~CWASChangeNotice(void);

	void SetParameter( LPCWSTR strURL, LPCWSTR strCustomID)
	{
		m_strURL = strURL;
		m_strcustomID = strCustomID;
	}
	void ExecuteAsync(void);

private:
	bool ParseAndEventFire(Json::Value * json);

protected:
	virtual void OnWasResponse(trid_t /*trid*/, bool /*bSuccess*/, int /*nWinINetErrorCode*/, int /*nHttpResponseCode*/, 
		LPCSTR /*szWasResCodeInHeader*/, 
		LPCSTR /*szWasResCodeInXml*/,
		Json::Value * /*json*/);

	virtual void OnRequestTimeout(CHttpFacade * /*pHttpF*/, DWORD /*dwSeconds*/);

private:

	LPCWSTR m_strServiceID;
	LPCWSTR m_strcustomID;
	WSTRING m_strResponseMsg;
	ChangeNoticeData m_changeNotice;
	int					m_nErrorCode;
	bool m_bNewNotice;
	WSTRING m_strURL;
};
